How to show point as ".",not "+"

I want to show point as "." in my projection.

Patrik Mueller's picture

Hi,

you have to try something like this:

Handle_Prs3d_PointAspect asp = aDrawer->PointAspect();
asp->SetTypeOfMarker(Aspect_TOM_POINT);

But you have to get the aspect depending where you want to use it (for example in a Compute method)...

Greets,

Patrik

chencheng's picture

Thanks for your reply,but I Don't kown how to do.
My Program is here:
Handle_V3d_Viewer myViewer;
Handle_AIS_InteractiveContext myAISContext;
TopoDS_Vertex V1 = BRepBuilderAPI_MakeVertex(gp_Pnt (10.,10.,10.));
Handle(AIS_Shape) ais1 = new AIS_Shape(V1);
myAISContext->Display(ais1,Standard_False);

In the above the point show as "+", but I want to show point as ".". How do I?

Patrik Mueller's picture

Hi,

if you take a look at AIS_Interactiveobject - there is a method "Attributes" - this should help you...

(Sorry - don't have much time)

Greets,

Patrik